Skip to content

@svpernova09 svpernova09 released this May 29, 2019 · 1 commit to version_8 since this release

ALPHA Homestead v8 Upgrade notes ALPHA

*** STOP! STOP ! STOP!***

If you are not comfortable debugging Vagrant and Homestead STOP NOW!

This is an ALPHA release! It is not for the faint of heart.

https://app.vagrantup.com/laravel/boxes/homestead/versions/8.0.0-alpha2

You will need the version_9 branch of Homestead

  • New “Feature” syntax to install optional services or tools such as Golang, MariaDB, etc.

Syntax to enable GoLang and MariaDB:

features:
    - golang: true
    - mariadb: true
  • Added support for PHP 5.6 & 7.0
  • Blackfire Support has been moved to a feature and must be defined as such within Homestead.yaml
  • Z-Ray support has been removed
  • If you are using Laravel Dusk or any other Webdriver utility you will need to enable the webdriver feature.
  • Dot net core support has been removed.
  • Ruby & Rails support has been removed.
  • Site types have been moved to a folder to appear more obvious how they work/what they are.
  • Probably more I'm forgetting...

Instructions

  • Add the following to Homestead.yaml: box: v8.0.0-alpha2
  • checkout v9.0.0-alpha2 of the Homestead repo.
  • Ensure you have converted any extra options to the new "feature" syntax (See Upgrade Notes)
  • vagrant destroy -f && vagrant up
Assets 2

@svpernova09 svpernova09 released this May 26, 2019 · 1 commit to version_8 since this release

ALPHA Homestead v8 Upgrade notes ALPHA

https://app.vagrantup.com/laravel/boxes/homestead/versions/8.0.0-alpha1

You will need the version_9 branch of Homestead

  • Base box upgraded to Ubuntu 19.04
  • New “Feature” syntax to install optional services or tools such as Golang, MariaDB, etc.

Syntax to enable GoLang and MariaDB:

features:
    - golang: true
    - mariadb: true
  • Blackfire Support has been moved to a feature and must be defined as such within Homestead.yaml
  • Z-Ray support has been removed
  • Postgres default to version 11
  • If you are using Laravel Dusk or any other Webdriver utility you will need to enable the webdriver feature.
  • Dot net core support has been removed.
  • Ruby & Rails support has been removed.
  • Probably more that I'm forgetting...
Assets 2

@svpernova09 svpernova09 released this Apr 20, 2019 · 2 commits to master since this release

  • Shift several features to Homestead, fix volume group issues (#200)
Assets 2

@svpernova09 svpernova09 released this Apr 16, 2019 · 3 commits to master since this release

Assets 2

@svpernova09 svpernova09 released this Feb 4, 2019 · 14 commits to master since this release

  • update Node to v10 (#187) @browner12
  • Upgrade Ruby to 2.6.0 and Rails to 5.2.2 (#189) @pedrofurtado
  • 🚑 remove socket wrench project, bump ruby to 2.6.1
  • 🚧 chown /usr/local/bin to vagrant for composer upgrades
Assets 2

@svpernova09 svpernova09 released this Jan 15, 2019 · 19 commits to master since this release

Assets 2

@svpernova09 svpernova09 released this Nov 10, 2018 · 28 commits to master since this release

Assets 2

@svpernova09 svpernova09 released this Aug 7, 2018 · 37 commits to master since this release

Assets 2

@svpernova09 svpernova09 released this Jun 3, 2018 · 48 commits to master since this release

Assets 2

@svpernova09 svpernova09 released this May 4, 2018 · 52 commits to master since this release

Known Issues

Assets 2
You can’t perform that action at this time.